## org.apache.poi.openxml4j.exceptions
Class InvalidOperationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.poi.openxml4j.exceptions.OpenXML4JRuntimeException
                      org.apache.poi.openxml4j.exceptions.InvalidOperationException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  PartAlreadyExistsException

    public class InvalidOperationException

extends OpenXML4JRuntimeException

Throw when an invalid operation is done.

See Also:
  Serialized Form

Constructor Summary
`InvalidOperationException(java.lang.String message)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidOperationException

    public InvalidOperationException(java.lang.String message)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.